Initiate the linking of care contexts for a patient
Hosted by the HIP/HIU, not by ABDM. ABDM calls this endpoint at the callback URL registered for your bridge, so the path below is relative to that URL.
The init API endpoint facilitates the initial linking of care contexts to a patient’s ABHA address. When a request is made to this endpoint, it returns a response containing the transaction ID, ABHA address, patient details, and any errors encountered. This ensures that patient care contexts are accurately linked and managed within the healthcare system.
Note: Incase of success, HIP will get the patient details in the callback. In case of failure, HIP will get the error response in the callback. The access token from POST /api/hiecm/gateway/v3/sessions, sent with a Unique UUID for track the end to end request transaction Actual time of the request was initiated, ISO 8601 represents date and time by starting with the year, followed by the month, the day, the hour, the minutes, seconds and milliseconds Identifier of the health information provider to which the request was intended A patient identifier with which patient is registered in the facility/hospital.Allows alpha numeric characters and special characters like "^[a-zA-Z0-9_\-@,. ()/:\\]{0,255}$" A patient identifier with which patient is registered in the facility/hospital. Allows alpha numeric characters and special characters like "^[a-zA-Z0-9_\-@,. ()/:\\]{0,255}$" The display text of patient.Allows alpha numeric characters and special characters like "^[a-zA-Z0-9_\\-@,. \"':|()/]{0,255}$" List of care contexts linked at the HIP end for the identified patient. An identifier of patient's care context created in HIP. A care context is a group of patient's health data (Not the actual health data).Allows alpha numeric characters and special characters like "^[a-zA-Z0-9_\-@,. ()/:\\]{0,255}$" The display of care context.Allows alpha numeric characters and special characters like "^[a-zA-Z0-9_\\-@,. \"':|()/]{0,255}$" The health information type One of The count should match the number of care contexts in the payload The error code and message, if any occurred. ABDM-1001 - No data found. May be returned either bare ( The appropriate error message Ok Reference number used while linking the health records of the patient. List of care contexts linked at the HIP end for the identified patient. Reference number used while linking the health records of the patient. One of Number of health records in the careContext object. Bad Request The error code and message, if any occurred. ABDM-1104 - Duplicate Init request. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator. Unauthorized 900901 - Invalid Credentials. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator. Internal Server Error The error code and message, if any occurred. The request id that was passed.Allows alpha numeric characters and special characters like "^[0-9a-fA-F]{8}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{12}"Authorizations
Authorizationbearer tokenRequiredBearer prefix.Headers
REQUEST-IDstringRequiredTIMESTAMPstringRequiredX-HIP-IDstringRequiredBody
transactionIdstringRequiredabhaAddressstringRequiredpatientobject[]Requiredpatient.referenceNumberstringRequiredpatient.displaystringRequiredpatient.careContextsobject[]Requiredpatient.careContexts.referenceNumberstringRequiredpatient.careContexts.displaystringRequiredpatient.hiTypestringRequiredDiagnosticReportDischargeSummaryHealthDocumentRecordImmunizationRecordOPConsultationPrescriptionWellnessRecordInvoicepatient.countintegererrorobjecterror.codestringRequiredABDM-1001) or with a trailing ": " separator (ABDM-1001: ); match on the code itself and tolerate the separator.error.messagestringRequiredResponses
200transactionIdstringabhaAddressstringpatientobject[]patient.referenceNumberstringpatient.careContextsobject[]patient.careContexts.referenceNumberstringpatient.hiTypestringDiagnosticReportDischargeSummaryHealthDocumentRecordImmunizationRecordOPConsultationPrescriptionWellnessRecordInvoicepatient.countinteger400errorobjecterror.codestringRequirederror.messagestringRequired401codestringmessagestringdescriptionstring500timestampnumberRequiredpathstringRequiredstatusintegerRequirederrorstringRequiredrequestIdstringRequired